Delete user account
curl --request DELETE \
--url https://app.autoposting.ai/api-proxy/account \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"confirm": true
}
'import requests
url = "https://app.autoposting.ai/api-proxy/account"
payload = { "confirm": True }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({confirm: true})
};
fetch('https://app.autoposting.ai/api-proxy/account', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"deleted": true
}
}{
"success": false,
"error": "unauthorized",
"message": "Missing or invalid API key."
}Usage
Delete user account
Permanently deletes the authenticated user’s account and all personal data. This action is irreversible. All organizations where the user is the sole owner must be deleted or transferred first. If the user belongs to organizations with other members, their membership is removed but the organizations persist.
DELETE
/
account
Delete user account
Was this page helpful?
⌘I

